Osi 0.107.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
OsiLotsizeBranchingObject Class Reference

Lotsize branching object. More...

`#include <OsiBranchingObject.hpp>`

Inheritance diagram for OsiLotsizeBranchingObject:
[legend]
Collaboration diagram for OsiLotsizeBranchingObject:
[legend]

## Public Member Functions
| OsiLotsizeBranchingObject ()
| Default constructor. More...
| OsiLotsizeBranchingObject (OsiSolverInterface *solver, const OsiLotsize *originalObject, int way, double value)
| Create a lotsize floor/ceiling branch object. More...
| OsiLotsizeBranchingObject (const OsiLotsizeBranchingObject &)
| Copy constructor. More...
OsiLotsizeBranchingObject & | operator= (const OsiLotsizeBranchingObject &rhs)
| Assignment operator. More...
virtual OsiBranchingObject * | clone () const
| Clone. More...
virtual | ~OsiLotsizeBranchingObject ()
| Destructor. More...
virtual double | branch (OsiSolverInterface *solver)
| Sets the bounds for the variable according to the current arm of the branch and advances the object state to the next arm. More...
virtual void | print (const OsiSolverInterface *solver=NULL)
| Print something about branch - only if log level high. More...
Public Member Functions inherited from OsiTwoWayBranchingObject
| OsiTwoWayBranchingObject ()
| Default constructor. More...
| OsiTwoWayBranchingObject (OsiSolverInterface *solver, const OsiObject *originalObject, int way, double value)
| Create a standard tw0-way branch object. More...
| OsiTwoWayBranchingObject (const OsiTwoWayBranchingObject &)
| Copy constructor. More...
OsiTwoWayBranchingObject & | operator= (const OsiTwoWayBranchingObject &rhs)
| Assignment operator. More...
virtual | ~OsiTwoWayBranchingObject ()
| Destructor. More...
int | firstBranch () const
int | way () const
| Way returns -1 on down +1 on up. More...
Public Member Functions inherited from OsiBranchingObject
| OsiBranchingObject ()
| Default Constructor. More...
| OsiBranchingObject (OsiSolverInterface *solver, double value)
| Constructor. More...
| OsiBranchingObject (const OsiBranchingObject &)
| Copy constructor. More...
OsiBranchingObject & | operator= (const OsiBranchingObject &rhs)
| Assignment operator. More...
virtual | ~OsiBranchingObject ()
| Destructor. More...
int | numberBranches () const
| The number of branch arms created for this branching object. More...
int | numberBranchesLeft () const
| The number of branch arms left for this branching object. More...
void | incrementNumberBranchesLeft ()
| Increment the number of branch arms left for this branching object. More...
void | setNumberBranchesLeft (int)
| Set the number of branch arms left for this branching object Just for forcing. More...
void | decrementNumberBranchesLeft ()
| Decrement the number of branch arms left for this branching object. More...
virtual double | branch ()
| Execute the actions required to branch, as specified by the current state of the branching object, and advance the object's state. More...
virtual bool | boundBranch () const
| Return true if branch should fix variables. More...
int | branchIndex () const
| Get the state of the branching object This is just the branch index. More...
void | setBranchingIndex (int branchIndex)
| Set the state of the branching object. More...
double | value () const
| Current value. More...
const OsiObject * | originalObject () const
| Return pointer back to object which created. More...
void | setOriginalObject (const OsiObject *object)
| Set pointer back to object which created. More...
virtual void | checkIsCutoff (double)
| Double checks in case node can change its mind! Returns objective value Can change objective etc. More...
int | columnNumber () const
| For debug. More...
virtual void | print (const OsiSolverInterface *=NULL) const
| Print something about branch - only if log level high. More...

## Protected Attributes
double | down_ [2]
| Lower [0] and upper [1] bounds for the down arm (way_ = -1) More...
double | up_ [2]
| Lower [0] and upper [1] bounds for the up arm (way_ = 1) More...
Protected Attributes inherited from OsiTwoWayBranchingObject
int | firstBranch_
| Which way was first branch -1 = down, +1 = up. More...
Protected Attributes inherited from OsiBranchingObject
double | value_
| Current value - has some meaning about branch. More...
const OsiObject * | originalObject_
| Pointer back to object which created. More...
int | numberBranches_
| Number of branches. More...
short | branchIndex_
| The state of the branching object. More...

## Detailed Description

Lotsize branching object.

This object can specify a two-way branch on an integer variable. For each arm of the branch, the upper and lower bounds on the variable can be independently specified.

Variable_ holds the index of the integer variable in the integerVariable_ array of the model.

Definition at line 957 of file OsiBranchingObject.hpp.

## Constructor & Destructor Documentation

OsiLotsizeBranchingObject::OsiLotsizeBranchingObject | ( |  | ) |

Default constructor.

OsiLotsizeBranchingObject::OsiLotsizeBranchingObject | ( | OsiSolverInterface * | solver,
|  | const OsiLotsize * | originalObject,
|  | int | way,
|  | double | value
| ) |  |

Create a lotsize floor/ceiling branch object.

Specifies a simple two-way branch. Let `value` = x*. One arm of the branch will be is lb <= x <= valid range below(x*), the other valid range above(x*) <= x <= ub. Specify way = -1 to set the object state to perform the down arm first, way = 1 for the up arm.

OsiLotsizeBranchingObject::OsiLotsizeBranchingObject | ( | const OsiLotsizeBranchingObject & |  | ) |

Copy constructor.

virtual OsiLotsizeBranchingObject::~OsiLotsizeBranchingObject | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

OsiLotsizeBranchingObject& OsiLotsizeBranchingObject::operator= | ( | const OsiLotsizeBranchingObject & | rhs | ) |

Assignment operator.

virtual OsiBranchingObject* OsiLotsizeBranchingObject::clone | ( |  | ) | const
| virtual

Clone.

Implements OsiBranchingObject.

virtual double OsiLotsizeBranchingObject::branch | ( | OsiSolverInterface * | solver | ) |
| virtual

Sets the bounds for the variable according to the current arm of the branch and advances the object state to the next arm.

state. Returns change in guessed objective on next branch

Implements OsiTwoWayBranchingObject.

virtual void OsiLotsizeBranchingObject::print | ( | const OsiSolverInterface * | solver = `NULL` | ) |
| virtual

Print something about branch - only if log level high.

## Member Data Documentation

double OsiLotsizeBranchingObject::down_[2]
| protected

Lower [0] and upper [1] bounds for the down arm (way_ = -1)

Definition at line 1001 of file OsiBranchingObject.hpp.

double OsiLotsizeBranchingObject::up_[2]
| protected

Lower [0] and upper [1] bounds for the up arm (way_ = 1)

Definition at line 1003 of file OsiBranchingObject.hpp.

The documentation for this class was generated from the following file:

- /tmp/Osi-0.107.7/Osi/src/Osi/OsiBranchingObject.hpp